#include "elements.inc"

#declare TestTxt = 1;

#declare FacadeTxt = texture {
	#if(TestTxt)
		pigment{color rgb 0.8}
	#else
		pigment{
			image_map{
				jpeg "imagemap/house81.jpg"
				map_type 0
			}
		}
		finish{diffuse 0.6}
	#end
}

#declare WindowFrameTxt = texture{
	#if(TestTxt)
		pigment{color rgb 0.8}
	#else 
		#local k = 1.8; 
    	pigment{
    		bozo 
    		color_map{
    			[0.0 0.3 color rgb<0.3, 0.25, 0.16>*k color rgb<0.33, 0.25, 0.16>*k] 
    			[0.3 0.6 color rgb<0.33, 0.25, 0.16>*k color rgb<0.36, 0.25, 0.16>*k]
    			[0.6 1.0 color rgb<0.36, 0.25, 0.16>*k color rgb<0.3, 0.25, 0.16>*k]
    		}
    		scale<0.3, 4.3, 1>
   			scale 0.0008
   		} 
   		finish{diffuse 0.6 phong 0.05 phong_size 85}
   		normal{bumps 0.3 scale<0.0001, 0.001, 0.0001>}
   		
  	#end 
}

#declare Glass = object{
	E1
	pigment{color rgb<0.5, 0.58, 0.6>}
	finish{diffuse 0.7 phong 0.5 reflection 0.2}
}

#declare Rect = union {
	object{E5 scale<0.01, 0.05, 0.03>}
	object{E5 scale<0.01, 0.05, 0.03> translate x*0.03}
	object{E5 scale<0.02, 0.01, 0.03> translate x*0.01}
	object{E5 scale<0.02, 0.01, 0.03> translate<0.01, 0.04, 0>}
	translate -z*0.002
}

#declare WindowFrame1 = union {
	object{E5 scale<0.004, 0.12, 0.03> translate<0.01, 0.01, 0.002>}
	object{E5 scale<0.004, 0.12, 0.03> translate<0.03 - 0.002, 0.01, 0.002>}
	object{E5 scale<0.004, 0.12, 0.03> translate<0.05 - 0.004, 0.01, 0.002>}
	        
	object{E3 scale<0.04, 0.004, 0.03> translate<0.01, 0.01, 0.002>}
	object{E3 scale<0.04, 0.004, 0.03> translate<0.01, 0.03 - 0.002, 0.002>}
	object{E3 scale<0.04, 0.004, 0.03> translate<0.01, 0.05 - 0.002, 0.002>}
	object{E3 scale<0.04, 0.004, 0.03> translate<0.01, 0.07 - 0.002, 0.002>}
	object{E3 scale<0.04, 0.004, 0.03> translate<0.01, 0.09 - 0.002, 0.002>}
	object{E3 scale<0.04, 0.004, 0.03> translate<0.01, 0.11 - 0.002, 0.002>}
	object{E3 scale<0.04, 0.004, 0.03> translate<0.01, 0.13 - 0.004, 0.002>}
		
	object{Glass scale<0.04, 0.12, 1> translate<0.01, 0.01, 0.0025>}
	texture{WindowFrameTxt}
}

#declare Window1 = union {
	object{E5 scale<0.01, 0.14, 0.03>}
	object{E5 scale<0.01, 0.14, 0.03> translate x*0.05}
	object{E3 scale<0.04, 0.01, 0.03> translate x*0.01}
	object{E3 scale<0.04, 0.01, 0.03> translate <0.01, 0.13, 0>}
	
	object{WindowFrame1}
}

#declare WindowFrame2 = union {
	object{E5 scale<0.002, 0.03, 0.03> translate<0.005, 0.005, 0.002>} 
	object{E5 scale<0.002, 0.03, 0.03> translate<0.02 - 0.001, 0.005, 0.002>}       
	object{E5 scale<0.002, 0.03, 0.03> translate<0.035 - 0.002, 0.005, 0.002>}
	
	object{E5 scale<0.03, 0.002, 0.03> translate<0.005, 0.005, 0.002>}
	object{E5 scale<0.03, 0.002, 0.03> translate<0.005, 0.02 - 0.001, 0.002>}        
	object{E5 scale<0.03, 0.002, 0.03> translate<0.005, 0.035 - 0.002, 0.002>}
	
	object{Glass scale<0.03, 0.03, 1> translate<0.005, 0.005, 0.0025>}
	texture{WindowFrameTxt}
}

#declare Window2 = union {
	object{E5 scale<0.04, 0.005, 0.03>}
	object{E5 scale<0.04, 0.005, 0.03> translate y*0.035}
	object{E5 scale<0.005, 0.04, 0.03>}
	object{E5 scale<0.005, 0.04, 0.03> translate x*0.035}
	
	object{WindowFrame2}
}   

#declare House13 = union {
	// facade
	object{E1 scale<0.5, 0.95, 1> translate -y*0.1}
	
	// right side
	object{E1 scale<0.4, 0.95, 1> rotate -y*90 translate<0.5, -0.1, 0>}
	
	// top
	object{E6 scale<0.51, 0.03, 0.4> translate<-0.005, 0.85, -0.005>}
	object{E6 scale<0.52, 0.01, 0.4> translate<-0.01, 0.86, -0.005>}
	
	// bars
	object{E5 scale<0.01, 0.75, 0.003> translate<0, 0.1, -0.003>}
	object{E5 scale<0.02, 0.75, 0.003> translate<0.09, 0.1, -0.003>}
	object{E5 scale<0.02, 0.75, 0.003> translate<0.19, 0.1, -0.003>}
	object{E5 scale<0.02, 0.75, 0.003> translate<0.29, 0.1, -0.003>}
	object{E5 scale<0.02, 0.75, 0.003> translate<0.39, 0.1, -0.003>}
	object{E5 scale<0.01, 0.75, 0.003> translate<0.49, 0.1, -0.003>}
	
	object{E5 scale<0.5, 0.04, 0.002> translate<0, 0.07, -0.002>}
	object{E5 scale<0.5, 0.04, 0.002> translate<0, 0.29, -0.002>}
	object{E5 scale<0.5, 0.04, 0.002> translate<0, 0.42, -0.002>}
	object{E5 scale<0.5, 0.04, 0.002> translate<0, 0.64, -0.002>}
	object{E5 scale<0.5, 0.04, 0.002> translate<0, 0.73, -0.002>}
	
	object{E5 scale<0.5, 0.02, 0.0005> translate<0, 0.08, -0.0035>}
	object{E5 scale<0.5, 0.02, 0.0005> translate<0, 0.30, -0.0035>}
	object{E5 scale<0.5, 0.02, 0.0005> translate<0, 0.43, -0.0035>}
	object{E5 scale<0.5, 0.02, 0.0005> translate<0, 0.65, -0.0035>}
	object{E5 scale<0.5, 0.02, 0.0005> translate<0, 0.74, -0.0035>}
	
	object{Rect translate<0.03, 0.35, 0>}
	object{Rect translate<0.13, 0.35, 0>}
	object{Rect translate<0.23, 0.35, 0>}
	object{Rect translate<0.33, 0.35, 0>}
	object{Rect translate<0.43, 0.35, 0>}	
	  
	// 1st floor
	object{Window1 translate<0.02, 0.13, -0.003>}
	object{Window1 translate<0.12, 0.13, -0.003>}
	object{Window1 translate<0.22, 0.13, -0.003>}
	object{Window1 translate<0.32, 0.13, -0.003>}
	object{Window1 translate<0.42, 0.13, -0.003>}
	
	  
	// 2nd floor
	object{Window1 translate<0.02, 0.48, -0.003>}
	object{Window1 translate<0.12, 0.48, -0.003>}
	object{Window1 translate<0.22, 0.48, -0.003>}
	object{Window1 translate<0.32, 0.48, -0.003>}
	object{Window1 translate<0.42, 0.48, -0.003>}
	
	// attic
	object{Window2 translate<0.03, 0.79, -0.0026>}
	object{Window2 translate<0.13, 0.79, -0.0026>}
	object{Window2 translate<0.23, 0.79, -0.0026>}
	object{Window2 translate<0.33, 0.79, -0.0026>}
	object{Window2 translate<0.43, 0.79, -0.0026>}

	texture{FacadeTxt scale<0.4, 0.85, 1> translate<0, -0.1, 0>}
}